1. Advanced Editing
BeatAPI
  • Quick Start
  • BeatAPI Realtime Video API
  • Music Video API
    • Create Video
      • Create Music Video
    • Advanced Editing
      • Edit Shot
        POST
      • Get Shot Media
        POST
      • Compose Video
        POST
  • Ecommerce Video API
    • Create Ecommerce Video
  • Reference
    • API Overview
      • List launch workflows
    • Task Status
      • Poll task status
    • Usage & Limits
      • Get account usage and concurrency
    • Upload Files
      • Upload a file for workflow inputs
    • Webhooks
      • List webhook endpoints
      • Create a webhook endpoint
      • Get a webhook endpoint
      • Update a webhook endpoint
      • Delete a webhook endpoint
  • Realtime Video API
    • Create a realtime browser session
    • Get a realtime session
    • Close a realtime session
  1. Advanced Editing

Get Shot Media

POST
/v1/music-video/tasks/{task_id}/shots/{shot_id}/media
Materialize one storyboard shot video using its BeatAPI shot_id.
If the shot has not been stored yet, BeatAPI retrieves the current shot
video, stores it under BeatAPI media storage, and returns a BeatAPI media
URL. Repeated calls return the stored URL when available.
This endpoint does not edit the shot and does not compose a new final
Music Video.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

๐ŸŸข200
application/json
Shot media URL
Bodyapplication/json

๐ŸŸ 404
๐ŸŸ 400BadRequest
๐ŸŸ 401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.beatapi.io/v1/music-video/tasks/task_8K2qA/shots/shot_xxx/media' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - ๆˆๅŠŸ็คบไพ‹
{
    "data": {
        "object": "shot_media",
        "task_id": "task_8K2qA",
        "shot_id": "shot_xxx",
        "index": 0,
        "status": "succeeded",
        "media": {
            "type": "video",
            "url": "https://media.beatapi.io/outputs/task_8K2qA/shots/shot_xxx/current.mp4",
            "mime_type": "video/mp4"
        },
        "created_at": 1782210000,
        "updated_at": 1782210300,
        "request_id": "req_abc123"
    }
}
Modified atย 2026-07-31 15:10:04
Previous
Edit Shot
Next
Compose Video
Built with